package com.tanpu.community.api.beans.req.page;

import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
@Builder
@ApiModel(value = "分页")
public class Pageable {

    public static final Integer DEFAULT_PAGE_SIZE = 10;

    public static final Integer MAX_PAGE_SIZE = 9999;

    public static final Integer DEFAULT_PAGE_NUMBER = 0;

    @NotEmpty(message = "分页Number不能为空")
    public Integer pageNumber = DEFAULT_PAGE_NUMBER;

    @NotEmpty(message = "分页pageSize不能为空")
    public Integer pageSize = DEFAULT_PAGE_SIZE;

    public Pageable() {
    }

    public Pageable(Integer pageNumber, Integer pageSize) {
        this.pageNumber = pageNumber;
        this.pageSize = pageSize;
    }
}
