package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @description: 用户信息 圈子使用
 * @author: zejia zj wu
 * @create: 2021-07-15 14:37
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "用户信息 圈子使用")
public class UserInfoResp {

    @ApiModelProperty("主页等级 1普通主页 2首席投顾主页 3机构主页")
    private Integer personalCenterType;
    @ApiModelProperty("关注按钮状态 0未关注 1已关注")
    private Integer showFollowStatus;

    @ApiModelProperty("粉丝数")
    private Integer fansNumber = 0;
    @ApiModelProperty("关注数")
    private Integer followNumber = 0;
    @ApiModelProperty("课程数")
    private Integer courseNumber = 0;

    @ApiModelProperty("基金数")
    private Integer fundNumber = 0;

    @ApiModelProperty("成立时间 yyyy-MM-dd")
    private String founded;
    @ApiModelProperty("备案编号")
    private String recordNumber = "-";
    @ApiModelProperty("团队成员")
    private List<UserInfoOrg> userInfoOrgList;


    //↓↓↓↓ 通用 ↓↓↓↓
    @ApiModelProperty("用户id")
    private String userId;//用户id
    @ApiModelProperty("昵称")
    private String nickName;//昵称
    @ApiModelProperty("地址")
    private String address;//地址
    @ApiModelProperty("性别 0：男 1：女")
    private String gender;//性别 0：男 1：女
    @ApiModelProperty("个人简介")
    private String introduction;//个人简介
    @ApiModelProperty("头像")
    private String headImageUrl;//头像
    @ApiModelProperty("全新用户等级体系 详见 UserLevelEnum")
    private Integer levelGrade;
    @ApiModelProperty("当levelGrade=10有值 1投资萌新 2投资达人")
    private Integer userInvestorType;
    @ApiModelProperty("用户类型 1普通个人 2机构账号 3机构人员")
    private Integer userType;
    @ApiModelProperty("是否为投顾 0不是 1是（user_type=3时有意义）")
    private Integer isUserFinancialPractitioner;

    @ApiModelProperty("专家投顾 认证信息")
    private String certInfo;

    // 机构人员
    @ApiModelProperty("认证职位")
    private String certPosition;
    @ApiModelProperty("所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("所属机构名")
    private String belongUserOrgName;

    //工作室相关
    @ApiModelProperty("工作室展示状态 1不展示 2展示(未认证) 3展示(已认证)")
    private Integer workshopStatus = 1;//工作室展示状态
    @ApiModelProperty("工作室名")
    private String workshopName;//工作室名
    @ApiModelProperty("工作室简介")
    private String workshopIntroduction;//工作室简介

    //↓↓↓↓↓首席投顾↓↓↓↓↓↓
    @ApiModelProperty(value = "首席投顾")
    private UserInfoNewChief userInfoNewChief;

    //↓↓↓↓↓机构用户信息↓↓↓↓↓↓
    @ApiModelProperty(value = "机构用户信息")
    private UserInfoNewOrg userInfoNewOrg;

}