package com.tanpu.community.feign.product;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.product.ProductInfoVO;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignBackClientForProducts implements FallbackFactory<FeignClientForProducts> {
    @Override
    public FeignClientForProducts create(Throwable throwable) {
        return new FeignClientForProducts() {
            @Override
            public CommonResp<ProductInfoVO> getProductDetailInfo(String id) {
                log.error("请求信息", throwable);
                log.error("FeignClientForProducts.getProductDetailInfo-查询产品id:{}", id);
                return null;
            }

            @Override
            public CommonResp<List<ProductInfoVO>> getProductInfoByIds(List<String> ids) {
                log.error("请求信息", throwable);
                log.error("FeignClientForProducts.getProductInfoByIds-查询产品ids:{}", ids);
                return null;
            }
        };
    }
}
